Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.filters
Class Filter

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.filters.Filter

public class Filter
extends java.lang.Object

Filter
Point d'entrée aux fonctions de filtrage
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`Filter()`

Method Summary
`static void` | `documentFilter(java.util.List documents, java.lang.String user, int level)` Filtrage des documents affichables en fonction du niveau de l'utilisateur
`static void` | `searchEditorFilter(java.util.List documents, java.lang.String user)` Filtrage des documents visibles par les éditeurs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### documentFilter

    public static void documentFilter(java.util.List documents,
                                      java.lang.String user,
                                      int level)

  Filtrage des documents affichables en fonction du niveau de l'utilisateur

  Parameters:
    `documents` - Liste des documents à filtrer
    `user` - L'identifiant de l'utilisateur
    `level` - Niveau de l'utilisateur
  Returns:
    documents Liste filtrée

### searchEditorFilter

    public static void searchEditorFilter(java.util.List documents,
                                          java.lang.String user)
                                   throws SecurityException

  Filtrage des documents visibles par les éditeurs

  Parameters:
    `documents` - La liste des documents à filtrer
    `user` - L'identifiant de l'utilisateur
  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD